package com.chelvc.framework.location.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 聚合地址定位配置属性
 *
 * @author Woody
 * @date 2023/1/1
 */
@Data
@Configuration
@ConfigurationProperties("location.juhe")
@ConditionalOnProperty(prefix = "location.juhe", value = "key")
public class JuheLocationProperties {
    /**
     * 访问令牌
     */
    private String key;
}
