package com.chelvc.framework.common.model;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 对象引用
 *
 * @author Woody
 * @date 2023/1/1
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class Reference<T> implements Serializable {
    /**
     * 对象实例
     */
    private T object;
}
