package com.chelvc.framework.common.model;

import lombok.Getter;

/**
 * 终端枚举
 *
 * @author Woody
 * @date 2023/1/1
 */
@Getter
public enum Terminal implements Enumeration {
    /**
     * Web
     */
    WEB("Web"),

    /**
     * App
     */
    APP("App"),

    /**
     * 小程序
     */
    APPLET("小程序");

    /**
     * 终端描述
     */
    private final String description;

    Terminal(String description) {
        this.description = description;
    }
}
