package com.chelvc.framework.oauth.token;

import com.chelvc.framework.oauth.config.OauthConfigurer;
import org.springframework.security.oauth2.core.OAuth2TokenValidator;
import org.springframework.security.oauth2.jwt.Jwt;

/**
 * 令牌有效性验证器接口
 *
 * @author Woody
 * @date 2023/1/1
 * @see OauthConfigurer
 */
public interface TokenActiveValidator extends OAuth2TokenValidator<Jwt> {
}
